<html>
<head>
<title>OGRE: Ogre::StaticGeometry::QueuedSubMesh Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1StaticGeometry.html">StaticGeometry</a>::<a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html">QueuedSubMesh</a></div>
<h1>Ogre::StaticGeometry::QueuedSubMesh Struct Reference</h1><!-- doxytag: class="Ogre::StaticGeometry::QueuedSubMesh" -->Structure recording a queued submesh for the build.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SubMesh.html">SubMesh</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html#6a73cc0fc7d1205b8bddcddf8b5a7ec8">submesh</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry.html#9a3a337c0d120c4c3bf65850c25b103a">SubMeshLodGeometryLinkList</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html#8bcb418431638051229f226904813245">geometryLodList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Link to LOD list of geometry, potentially optimised.  <a href="#8bcb418431638051229f226904813245"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html#fd583dc14d063346a5e58601a23cf0de">materialName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html#74a6a5fd49b1797615439b118cd5395e">position</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html#641f30e3a07966271a727f113a1ae529">orientation</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html#c8f3fa1934b2e7239b4ea3fd6c0d2fb4">scale</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html#cfa0525ff64b7603a33fb7c57edbee57">worldBounds</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pre-transformed world AABB.  <a href="#cfa0525ff64b7603a33fb7c57edbee57"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Structure recording a queued submesh for the build. 
<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00151">151</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="6a73cc0fc7d1205b8bddcddf8b5a7ec8"></a><!-- doxytag: member="Ogre::StaticGeometry::QueuedSubMesh::submesh" ref="6a73cc0fc7d1205b8bddcddf8b5a7ec8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SubMesh.html">SubMesh</a>* <a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html#6a73cc0fc7d1205b8bddcddf8b5a7ec8">Ogre::StaticGeometry::QueuedSubMesh::submesh</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00153">153</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8bcb418431638051229f226904813245"></a><!-- doxytag: member="Ogre::StaticGeometry::QueuedSubMesh::geometryLodList" ref="8bcb418431638051229f226904813245" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry.html#9a3a337c0d120c4c3bf65850c25b103a">SubMeshLodGeometryLinkList</a>* <a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html#8bcb418431638051229f226904813245">Ogre::StaticGeometry::QueuedSubMesh::geometryLodList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Link to LOD list of geometry, potentially optimised. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00155">155</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fd583dc14d063346a5e58601a23cf0de"></a><!-- doxytag: member="Ogre::StaticGeometry::QueuedSubMesh::materialName" ref="fd583dc14d063346a5e58601a23cf0de" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html#fd583dc14d063346a5e58601a23cf0de">Ogre::StaticGeometry::QueuedSubMesh::materialName</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00156">156</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="74a6a5fd49b1797615439b118cd5395e"></a><!-- doxytag: member="Ogre::StaticGeometry::QueuedSubMesh::position" ref="74a6a5fd49b1797615439b118cd5395e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html#74a6a5fd49b1797615439b118cd5395e">Ogre::StaticGeometry::QueuedSubMesh::position</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00157">157</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="641f30e3a07966271a727f113a1ae529"></a><!-- doxytag: member="Ogre::StaticGeometry::QueuedSubMesh::orientation" ref="641f30e3a07966271a727f113a1ae529" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> <a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html#641f30e3a07966271a727f113a1ae529">Ogre::StaticGeometry::QueuedSubMesh::orientation</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00158">158</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c8f3fa1934b2e7239b4ea3fd6c0d2fb4"></a><!-- doxytag: member="Ogre::StaticGeometry::QueuedSubMesh::scale" ref="c8f3fa1934b2e7239b4ea3fd6c0d2fb4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html#c8f3fa1934b2e7239b4ea3fd6c0d2fb4">Ogre::StaticGeometry::QueuedSubMesh::scale</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00159">159</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cfa0525ff64b7603a33fb7c57edbee57"></a><!-- doxytag: member="Ogre::StaticGeometry::QueuedSubMesh::worldBounds" ref="cfa0525ff64b7603a33fb7c57edbee57" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> <a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html#cfa0525ff64b7603a33fb7c57edbee57">Ogre::StaticGeometry::QueuedSubMesh::worldBounds</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pre-transformed world AABB. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00161">161</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:08 2008
</p>
</body>
</html>
